Skip to main content
GET
Get Agent Overview

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

agent_id
string<uuid>
required
workspace
string
required

Slug of the workspace the request acts in

Maximum string length: 120
Pattern: ^[a-z0-9]+(?:-[a-z0-9]+)*$

Response

Successful Response

cost_mtd_usd
string
required
cost_today_usd
string
required
daily_spend
DailySpendPoint · object[]
required
daily_tasks
DailyTaskCounts · object[]
required
last_activity_at
string<date-time> | null
required
tasks_done_today
integer
required
tasks_failed_today
integer
required
upcoming
UpcomingItem · object[]
required